summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>1997-08-24 20:50:16 +0000
committerJim Meyering <jim@meyering.net>1997-08-24 20:50:16 +0000
commita1d61ec70e274c0264543cdb105344b8f1b27887 (patch)
tree1c33241350906c204be5a1e9627a7a305b3ab82f /tests
parentc83761c7598c98e7294f7caeac82de00a38ee57b (diff)
downloadcoreutils-a1d61ec70e274c0264543cdb105344b8f1b27887.tar.xz
*** empty log message ***
Diffstat (limited to 'tests')
-rwxr-xr-xtests/rm/i-18
1 files changed, 5 insertions, 3 deletions
diff --git a/tests/rm/i-1 b/tests/rm/i-1
index 7cfaa3b60..97e29ec8a 100755
--- a/tests/rm/i-1
+++ b/tests/rm/i-1
@@ -14,7 +14,9 @@ fi
tmp=$RM_TMPDIR/t-rm.$$
test_failure=0
-touch $tmp/a || test_failure=1
+mkdir $tmp || test_failure=1
+: > $tmp/a || test_failure=1
+test -f $tmp/a || test_failure=1
if test $test_failure = 1; then
echo 'failure in testing framework'
@@ -29,11 +31,11 @@ n
EOF
fail=0
-$RM -i $tmp/a < $tmp/$test.In > /dev/null || fail=1
+$RM -i $tmp/a < $tmp/$test.In > /dev/null 2>&1 || fail=1
# The file should not have been removed.
test -f $tmp/a || fail=1
-$RM -i $tmp/a < $tmp/$test.In > /dev/null || fail=1
+$RM -i $tmp/a < $tmp/$test.Iy > /dev/null 2>&1 || fail=1
# The file should have been removed this time.
test -f $tmp/a && fail=1